🚀 Get started with SMTP testing and email API integration today
SMTP API

Use the SMTP API to send emails programmatically using a simple HTTP POST request.

Endpoint
POST https://onemail.bytemyst.online/api/v1/smtp/smtp-send-email
Authentication

Include your API key in the request header.

X-API-Key: YOUR_API_KEY
cURL Example
curl -X POST https://onemail.bytemyst.online/api/v1/smtp/smtp-send-email \
    -H "Content-Type: application/json" \
    -H "X-API-Key: YOUR_API_KEY" \
    -d '{
        "smtp_host":"smtp.example.com",
        "smtp_port":465,
        "smtp_security":"ssl",
        "smtp_username":"username@example.com",
        "smtp_password":"password",
        "from_email":"sender@example.com",
        "from_name":"John Doe",
        "to_email":"recipient@example.com",
        "subject":"Test Email",
        "message":"Hello from the SMTP API."
    }'
Request Parameters
Parameter Type Description Required
smtp_host string SMTP server hostname Yes
smtp_port integer SMTP port Yes
smtp_security string none, ssl or tls Yes
smtp_username string SMTP username Yes
smtp_password string SMTP password Yes
from_email string Sender email address Yes
from_name string Sender name Yes
to_email string Recipient email address Yes
subject string Email subject Yes
message string Email body Yes
Sample Response
{
    "success": true,
    "message": "Email sent successfully",
    "data": {
        "processing_time": 0.742 sec,
        "smtp_host": "smtp.example.com",
        "smtp_port": 465,
        "smtp_security": "SSL",
        "smtp_username": "username@example.com",
        "from_email": "sender@example.com",
        "from_name": "John Doe",
        "to_email": "recipient@example.com",
        "subject": "Test Email",
        "status": "SUCCESS",
        "start_time": "14-07-2026 10:42:18 AM",
        "end_time": "14-07-2026 10:42:19 AM"
    }
}